diff --git a/web/pgAdmin4.py b/web/pgAdmin4.py
index 1db49584..9b926a65 100644
--- a/web/pgAdmin4.py
+++ b/web/pgAdmin4.py
@@ -119,11 +119,17 @@ if __name__ == '__main__':
         if IS_WIN:
             os.environ['PYTHONHOME'] = sys.prefix
 
+    # Initialize Flask service only once
+    # If `WERKZEUG_RUN_MAIN` is None, i.e: app is not initialized yet
+    # so set `use_reloader` = False, thus reload won't call.
     try:
         app.run(
             host=config.DEFAULT_SERVER,
             port=server_port,
-            use_reloader=((not PGADMIN_RUNTIME) and app.debug),
+            use_reloader=(
+                (not PGADMIN_RUNTIME) and app.debug
+                and os.environ.get("WERKZEUG_RUN_MAIN") is not None
+            ),
             threaded=config.THREADED_MODE
         )
     except IOError:
